### robocode

# Class DeathEvent

- `java.lang.Object`
- - `robocode.Event`
  - - `robocode.DeathEvent`

Implemented Interfaces:
  Comparable, Serializable

`public final class DeathEvent`
`extends Event`

This event is sent to `onDeath()` when your robot dies.

Author:
  Mathew A. Nelson (original)

  ## Constructor Summary

  `DeathEvent()`
    Called by the game to create a new DeathEvent.

  ## Method Summary

  `@Override`

  `int getPriority()`

  ### Methods inherited from class robocode.Event

  `compareTo`, `getPriority`, `getTime`

## Constructor Details

### DeathEvent

    public DeathEvent()

> Called by the game to create a new DeathEvent.

## Method Details

### int getPriority

    public final @Override int getPriority()